import { OnInit, EventEmitter } from '@angular/core';
export declare type ActivityButtonSize = 56 | 68 | 84;
export declare type ActivityButtonType = 'chat' | 'camera' | 'contact-card' | 'meetings' | 'whiteboard' | 'files' | 'share-screen' | 'tasks' | '';
export declare class ActivityButtonComponent implements OnInit {
    /** @prop Text to display for blindness accessibility features | '' */
    ariaLabel: string;
    /** @prop Sets the attribute disabled to the button | false */
    disabled: boolean;
    /** @prop Sets the button's size | 68 */
    size: ActivityButtonSize;
    /** @prop Sets the button's activity type */
    type: ActivityButtonType;
    /** @prop Sets the button's class */
    className: string;
    whenClick: EventEmitter<{}>;
    regIntial: RegExp;
    containerClassName: string;
    iconClassName: string;
    labelName: string;
    buttonNgClass: {
        'md-button': boolean;
        'md-button--circle': boolean;
        'md-activity': boolean;
    };
    buttonToIconSizeMapping: {
        56: string;
        68: string;
        84: string;
    };
    constructor();
    ngOnInit(): void;
    getLabel: () => string;
    handleClick: (event: any) => void;
}
