/** @component slider */
import { AfterViewInit, ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { SliderPointerChange } from './slider-pointer.component';
export interface SliderChange {
    high: number;
    low: number;
}
export declare class SliderComponent implements AfterViewInit, OnInit, ControlValueAccessor {
    private changeDetectorRef;
    /** @option Determines if minimum pointer can cross over maximum pointer | false */
    canCross: boolean;
    /** @option Set the attribute disabled to Slider | false */
    disabled: boolean;
    /** @option Set the initial maximum value */
    max: number;
    /** @option Set the initial minimum value | 0 */
    min: number;
    /** @option Set visual step measurement | 1 */
    step: number;
    /** @option Set increment of x-axis labels | 0 */
    tick: number;
    /** @option Function to compute layout of Slider | null */
    translateFn: Function | null;
    /** @option Set either maximum pointer value or a combination of high and low pointer values | 0 */
    value: SliderChange | number;
    /** Event emitted when change a pointer position */
    readonly change: EventEmitter<SliderChange | number>;
    private sliderBar;
    private ticksContainer;
    private _value;
    private _sliderLow;
    private _sliderHigh;
    sliderLow: number;
    sliderHigh: number;
    readonly sliderLowPosition: number;
    readonly sliderHighPosition: number;
    scale: number[];
    selectionLeft: number;
    selectionWidth: number;
    isObject: Function;
    private _change;
    constructor(changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    writeValue(value: any): void;
    setDisabledState(disabled: boolean): void;
    registerOnChange(fn: any): void;
    registerOnTouched(_: any): void;
    setScalePos(scale: number[], min: number, max: number): void;
    getScale(low: number, high: number, tick: number): void;
    getSliderWidth(): any;
    getStepWidth(): number;
    getSteps(position: SliderPointerChange): number;
    getLimit(pointerKey: string, direction: number): number;
    returnCurrentValues(): void;
    moveForward(key: string, pixelMove: number, limit: number): void;
    moveBack(key: string, pixelMove: number, limit: number): void;
    onSliderMove(key: string, position: SliderPointerChange): void;
    getSelectionWidth(): void;
}
